Ticket and Pull Request Guidelines
==================================

The policy on issues is:
* Non-committers should discuss issues on the Lift mailing list before opening
  a issue.
* All non-committer issues should have a link back to the mailing list
  discussion that led to opening the issue so the whole world can see why the
  issue came into being.
* All non-committer issues should be set to no milestone, no assignment and
  normal (or lower) priority unless a committer explicitly asked for assignment
  (that means they agreed to do the work).
* A committer may open a issue at whatever priority for whatever milestone and
  assign it to themselves.
* There should be very little discussion about issue in the issuing system.
  The discussion should take place on the Lift list so the discussion is
  available to a broader audience.

We will accept pull requests into the Lift codebase if the pull requests meet
the following criteria:
* The request handles an issue that has been discussed on the Lift mailing list
  and whose solution has been requested (and in general adheres to the spirit of
  the issue guidelines above).
* The request represents one or more of the following:
  * Documentation including ScalaDoc comments in code
  * Example code
  * Small changes, enhancements, or bug fixes to Lift’s code
* The request includes a signature at the bottom of the /contributors.md file.
